#ifndef __MAIN_WINDOW_H__
#define __MAIN_WINDOW_H__

#include <gtk/gtk.h>
#include <webkit/webkit.h>
#include "Window.h"

class MainWindow : public Window {
public:
	MainWindow(GtkWidget *wnd);
	virtual ~MainWindow();
	
	static void onDestroy(GtkWidget* widget, gpointer data);
	static gboolean onDeleteEvent(GtkWidget* widget, GdkEvent* event, gpointer data);
	static gboolean closeWebView(WebKitWebView* webView, GtkWidget* window);
	static void webViewLoadStatus(WebKitWebView *webView, GParamSpec *pspec, MainWindow* window);
	static void btnBackClicked(GtkWidget* button, MainWindow* window);
	static void btnForwardClicked(GtkWidget* button, MainWindow* window);
	static void btnGoClicked(GtkWidget* button, MainWindow* window);
	static void tbOpenClicked(GtkWidget* button, MainWindow* window);
	static void tbHomeClicked(GtkWidget* button, MainWindow* window);
	static void tbCloseClicked(GtkWidget* button, MainWindow* window);
	static void tbAboutClicked(GtkWidget* button, MainWindow* window);
	
	static void mnuNowyActivated(GtkWidget* menuItem, MainWindow* window);
	static void mnuOtworzActivated(GtkWidget* menuItem, MainWindow* window);
	static void mnuZakonczActivated(GtkWidget* menuItem, MainWindow* window);
	static void mnuOProgramieActivated(GtkWidget* menuItem, MainWindow* window);
	static void mnuZapiszJakoActivated(GtkWidget* menuItem, MainWindow* window);
	static void mnuZapiszActivated(GtkWidget* menuItem, MainWindow* window);
	static void mnuSkopiujActivated(GtkWidget* menuItem, MainWindow* window);

	static void edtUrlActivated(GtkEntry* entry, MainWindow* window);
	
protected:
	WebKitWebView *webView;
	GtkWidget* edtUrl;
	const gchar* homePage;
	GString* fileName;
	
	void saveWebPage();
};

#endif
